Bug 855508 - [abrt] libreoffice-core-3.5.6.2-2.fc17: ScPostIt::GetOutlinerObject: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-2.fc17: ScPostIt::GetOutlinerObject: Process ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:8a7d7d3556f49d82820872a5d9d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 06:36 EDT by verdier
Modified: 2012-12-21 04:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-21 04:45:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (7.70 KB, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: environ (1.21 KB, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: backtrace (61.72 KB, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: maps (88.92 KB, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: dso_list (19.94 KB, text/plain)
2012-09-08 06:36 EDT, verdier
no flags Details
File: open_fds (292 bytes, text/plain)
2012-09-08 06:37 EDT, verdier
no flags Details
File: var_log_messages (683 bytes, text/plain)
2012-09-08 06:37 EDT, verdier
no flags Details

  None (edit)
Description verdier 2012-09-08 06:36:38 EDT
Description of problem:
Changement de feuille pendant l'enregistrement du classeur.

Change of sheet during the recording of the workbook.


Version-Release number of selected component:
libreoffice-core-3.5.6.2-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/parents/Comptes%20%C3%A0%20partir%20du%2019-12-2011/Comptes.ods --splash-pipe=6
crash_function: ScPostIt::GetOutlinerObject
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ScPostIt::GetOutlinerObject at /usr/src/debug/libreoffice-3.5.6.2/sc/source/core/data/postit.cxx
: #1 ScPostIt::GetEditTextObject at /usr/src/debug/libreoffice-3.5.6.2/sc/source/core/data/postit.cxx
: #2 ScAnnotationEditSource::GetTextForwarder at /usr/src/debug/libreoffice-3.5.6.2/sc/source/ui/unoobj/editsrc.cxx
: #3 SvxUnoTextRangeBase::SvxUnoTextRangeBase at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/uno/unotext.cxx
: #4 AggImplInheritanceHelper4<SvxEditSource const*, SvxItemPropertySet const*> at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/cppuhelper/implbase4.hxx
: #5 SvxUnoTextBase_Base::SvxUnoTextBase_Base at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/uno/unotext.cxx
: #6 SvxUnoTextBase::SvxUnoTextBase at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/uno/unotext.cxx
: #7 SvxUnoText::SvxUnoText at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/uno/unotext.cxx
: #8 ScAnnotationObj::GetUnoText at /usr/src/debug/libreoffice-3.5.6.2/sc/source/ui/unoobj/notesuno.cxx
: #9 ScAnnotationObj::getString at /usr/src/debug/libreoffice-3.5.6.2/sc/source/ui/unoobj/notesuno.cxx
Comment 1 verdier 2012-09-08 06:36:42 EDT
Created attachment 610968 [details]
File: core_backtrace
Comment 2 verdier 2012-09-08 06:36:44 EDT
Created attachment 610969 [details]
File: environ
Comment 3 verdier 2012-09-08 06:36:47 EDT
Created attachment 610970 [details]
File: limits
Comment 4 verdier 2012-09-08 06:36:49 EDT
Created attachment 610971 [details]
File: backtrace
Comment 5 verdier 2012-09-08 06:36:51 EDT
Created attachment 610972 [details]
File: cgroup
Comment 6 verdier 2012-09-08 06:36:56 EDT
Created attachment 610973 [details]
File: maps
Comment 7 verdier 2012-09-08 06:36:59 EDT
Created attachment 610974 [details]
File: dso_list
Comment 8 verdier 2012-09-08 06:37:01 EDT
Created attachment 610975 [details]
File: open_fds
Comment 9 verdier 2012-09-08 06:37:03 EDT
Created attachment 610976 [details]
File: var_log_messages
Comment 10 Caolan McNamara 2012-09-12 06:24:36 EDT
"Change of sheet during the recording of the workbook" ? Can you give me some more details, perhaps a step by step, as to the circumstances of this patch ?
Comment 11 verdier 2012-09-12 13:32:44 EDT
I started recording my file. For this recording, I clicked to change the sheets and the software is suddenly closed.
Comment 12 Caolan McNamara 2012-09-12 16:15:35 EDT
Starting with a blank spreadsheet, inserted a comment, then enabled macro recording and switched between sheets with no crash.

So we probably need that spreadsheet in order to reproduce this.

Note You need to log in before you can comment on or make changes to this bug.